Bug 143259 - MANPATH errors
MANPATH errors
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-17 14:41 EST by Will Backman
Modified: 2008-02-03 13:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 13:30:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Will Backman 2004-12-17 14:41:09 EST
Description of problem:
type "man telnet" and get bad output

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. type "man telnet"
2. look at screen
3. sigh.
  
Actual results:
Text is there, but messed up.

Expected results:
Nice output.

Additional info:
According to Michal
Actually /usr/share/man/man1/telnet.1.gz is fine.  The problem seems
to be that 'man telnet' is picking up /usr/kerberos/man/man1/telnet.1.gz
and this file is not using 'mandoc' macros.  I did not try to check
what else in /usr/kerberos/man/man1/ will have similar issues. You can
workaround for the time beeing by setting an explicit MANPATH in
/etc/man.config with /usr/kerberos/man further down the pike. 
Currently 'man -w' shows /usr/kerberos/man on the leading position.
Comment 1 Eido Inoue 2004-12-17 14:51:10 EST
As the default path setup goes to the kerberos-ized version of telnet rather
than the plain one, man's behavior of prefering the kerberos version is correct.

changing to the responsible component.-
Comment 2 shrek-m 2004-12-18 07:11:47 EST
$ man /usr/kerberos/man/man1/tmac.doc.gz
shows nothing

$ man /usr/kerberos/man/man5/.k5login.5.gz
is ok, but this manpage is hard to find
$ man -k k5login
k5login: nothing appropriate
Comment 3 Matthew Miller 2006-07-10 16:16:05 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 petrosyan 2008-02-03 13:30:28 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.